Bug 1471053 - (CVE-2017-1000092) CVE-2017-1000092 jenkins-plugin-git: CSRF vulnerability allows capturing credentials (SECURITY-528)
CVE-2017-1000092 jenkins-plugin-git: CSRF vulnerability allows capturing cred...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170710,reported=2...
: Security
Depends On: 1472031
Blocks: 1471067
  Show dependency treegraph
 
Reported: 2017-07-14 06:17 EDT by Adam Mariš
Modified: 2017-08-18 01:24 EDT (History)
9 users (show)

See Also:
Fixed In Version: jenkins-plugin-git 3.3.2, jenkins-plugin-git 3.4.0-beta-2
Doc Type: If docs needed, set a value
Doc Text:
The Git Plugin can leak credentials (username and password) used to access a git repo if an attacker-supplied URL is provided to the plugin. To supply the URL to the plugin, the attacker would need to guess a username/password ID and then trick a developer into following a specific URL.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-14 12:43:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-07-14 06:17:40 EDT
Git Plugin connects to a user-specified Git repository as part of form validation.

An attacker with no direct access to Jenkins but able to guess at a username/password credentials ID could trick a developer with job configuration permissions into following a link with a maliciously crafted Jenkins URL which would result in the Jenkins Git client sending the username and password to an attacker-controlled server.

External References:

https://jenkins.io/security/advisory/2017-07-10/
Comment 1 Adam Mariš 2017-07-14 06:17:56 EDT
Acknowledgments:

Name: the Jenkins project
Upstream: Jesse Glick (CloudBees)
Comment 3 Trevor Jay 2017-08-14 12:43:10 EDT
Statement:

This issue affects the versions of jenkins-plugin-git as shipped with Red Hat OpenShift Enterprise 3. Red Hat Product Security has rated this issue as having Low security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Note You need to log in before you can comment on or make changes to this bug.